Mailinglist Archive: opensuse-factory (454 mails)

< Previous Next >
Re: [opensuse-factory] libevtlog
On Fri, 2017-12-01 at 12:19 +0100, Peter Czanik wrote:
On 12/01/2017 11:54 AM, Dominique Leuenberger / DimStar wrote:
On Fri, 2017-12-01 at 11:51 +0100, Peter Czanik wrote:
[ 173s] syslog-ng-libevtlog0.x86_64: E: library-without-ldconfig-
postin (Badness: 300) /usr/lib64/libevtlog-3.12.so.0.0.0 [ 173s]
This
package contains a library and provides no %post scriptlet
containing
a [ 173s] call to ldconfig. [ 173s] [ 173s]
syslog-ng-libevtlog0.x86_64: E: library-without-ldconfig- postun
(Badness: 300) /usr/lib64/libevtlog-3.12.so.0.0.0 [ 173s] This
package contains a library and provides no %postun scriptlet
containing a [ 173s] call to ldconfig. [ 173s] [ 173s]
syslog-ng-libevtlog0.x86_64: E: shlib-policy-name-error (Badness:
10000) libevtlog-3_12-0 [ 173s] Your package contains a single
shared
library but is not named after its [ 173s] SONAME. Bye, CzP

%package -n libevtlog0 instead of %package libevtlog0

Thanks. Unfortunately it sill does not resolve the problem, as the
name
of the library is now tied to the syslog-ng version. So there is no
more
libevtlog0 but libevtlog-3_12-0

[ 153s] libevtlog0.x86_64: E: shlib-policy-name-error (Badness:
10000)
libevtlog-3_12-0
[ 153s] Your package contains a single shared library but is not
named
after its
[ 153s] SONAME.

Does it mean that I have to rename the package to libevtlog-3_12-0

yes

and add:
Provides: libevtlog0 = 0.2.13
Obsoletes: libevtlog0 <= 0.2.13

no; shared library packages are not obsoleting other shared libraries;
and the provides would be wrong, as the library is no logner called
libevtlog.so.0 apparently and as such does not provide those
capabilities.

I wrongly assumed that the library would still be called
libevtlog.so.0; which is apparently not true anymore. Apologies for
misleading you.

Cheers
Dominique
< Previous Next >